1. 5. Store & Orders
Yamm
  • Partner API
    • 1. Authentication
      • Issue Access Token
    • 2. Catalog
      • List Products
      • Get Product
    • 3. Returns
      • List Return Reasons
      • Create Return Reason
      • Upload Return Attachment
      • Create Return
      • List Returns
      • Get Return
      • Approve Return
      • Reject Return
      • List Resolution Methods
      • Inspect Return
      • Cancel Return
      • Get Return Timeline
    • 4. Webhooks
      • Webhook Meta
      • List Webhooks
      • Create Webhook
      • Get Webhook
      • Update Webhook
      • Delete Webhook
      • Rotate Webhook Secret
      • Send Test Webhook
      • List Webhook Deliveries
      • Get Webhook Delivery
      • Retry Webhook Delivery
    • 5. Store & Orders
      • Get Store
        GET
      • List Orders
        GET
      • Get Order
        GET
  1. 5. Store & Orders

List Orders

GET
/partner/v1/orders
Paginated orders of the store, read from Yamm's copy (never calls the e-commerce platform). Scope: orders:read.

Request

Authorization
Provide your bearer token in the
Authorization
header when making requests to protected resources.
Example:
Authorization: Bearer ********************
Query Params

Header Params

Responses

🟢200Success
application/json
Bodyapplication/json

🟠422Validation failed
🟠401Unauthorized
🟠403Forbidden
🟠429Too Many Requests
Request Request Example
Shell
JavaScript
Java
Swift
curl --location '/partner/v1/orders?page=1&per_page=20' \
--header 'X-Store-Id: {{partner_store_id}}' \
--header 'Accept-Language: en' \
--header 'Authorization: Bearer <token>'
Response Response Example
200 - Example 1
{
    "success": true,
    "message": "string",
    "data": {
        "records": [
            {
                "id": "string",
                "number": "string",
                "platform": "string",
                "status": "string",
                "payment_status": "string",
                "shipment_status": "string",
                "currency": "string",
                "sub_total": 0,
                "tax": 0,
                "shipping": 0,
                "discount": 0,
                "total": 0,
                "delivered_at": "2019-08-24T14:15:22.123Z",
                "purchased_at": "2019-08-24T14:15:22.123Z"
            }
        ],
        "total": 0,
        "page": 0,
        "limit": 0,
        "total_pages": 0
    }
}
Previous
Get Store
Next
Get Order
Built with